Index: theoryview/perspectives/theory/basepage.py
===================================================================
--- theoryview/perspectives/theory/basepage.py	(revision da9ac4e6fb87145553f38711a3fa2bde5b71b638)
+++ theoryview/perspectives/theory/basepage.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -1442,12 +1375,11 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg= "Model Error:wrong value entered : %s"% sys.exc_value
-                    wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                    msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                    wx.PostEvent(self.parent, StatusEvent(status=msg))
                     return 
-                
             except:
                 tcrtl.SetBackgroundColour("pink")
-                msg= "Model Error:wrong value entered : %s"% sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
                 return 
             #Check if # of points for theory model are valid(>0).
@@ -1459,17 +1391,15 @@
                         is_modified = True
                 else:
-                    msg= "Cannot Plot :No npts in that Qrange!!!  "
-                    wx.PostEvent(self.parent, StatusEvent(status = msg ))
-           
+                    msg = "Cannot Plot :No npts in that Qrange!!!  "
+                    wx.PostEvent(self.parent, StatusEvent(status=msg))
         else:
            tcrtl.SetBackgroundColour("pink")
-           msg= "Model Error:wrong value entered!!!"
-           wx.PostEvent(self.parent, StatusEvent(status = msg ))
-           
+           msg = "Model Error:wrong value entered!!!"
+           wx.PostEvent(self.parent, StatusEvent(status=msg))
         #self._undo.Enable(True)
         self.save_current_state()
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
-        self.state_change= False
+        self.state_change = False
         #Draw the model for a different range
         self._draw_model()
@@ -1482,12 +1412,10 @@
         ## reset dictionary containing reference to dispersion
         self._disp_obj_dict = {}
-        self.disp_cb_dict ={}
-        
+        self.disp_cb_dict = {}
         f_id = self.formfactorbox.GetCurrentSelection()
         #For MAC
         form_factor = None
         if f_id >= 0:
-            form_factor = self.formfactorbox.GetClientData( f_id )
-
+            form_factor = self.formfactorbox.GetClientData(f_id)
         if not form_factor in  self.model_list_box["multiplication"]:
             self.structurebox.Hide()
@@ -1501,5 +1429,4 @@
             self.structurebox.Enable()
             self.text2.Enable()
-
         if form_factor != None:    
             # set multifactor for Mutifunctional models    
@@ -1517,9 +1444,10 @@
 
                 # Check max value
-                if m_id > multiplicity -1:
+                if m_id > multiplicity - 1:
                     # default value
                     m_id = 1
                 self.multi_factor = self.multifactorbox.GetClientData(m_id)
-                if self.multi_factor == None: self.multi_factor =1
+                if self.multi_factor == None:
+                    self.multi_factor =1
                 form_factor = form_factor(int(self.multi_factor))
                 self.multifactorbox.SetSelection(m_id)
@@ -1544,25 +1472,21 @@
             self.show_sld_button.Hide()
             self.multi_factor = None  
-              
         s_id = self.structurebox.GetCurrentSelection()
-        struct_factor = self.structurebox.GetClientData( s_id )
-       
-        if  struct_factor !=None:
+        struct_factor = self.structurebox.GetClientData(s_id)
+        if struct_factor != None:
             from sans.models.MultiplicationModel import MultiplicationModel
-            self.model= MultiplicationModel(form_factor,struct_factor())
-            
+            self.model = MultiplicationModel(form_factor, struct_factor())
         else:
             if form_factor != None:
-                self.model= form_factor
+                self.model = form_factor
             else:
                 self.model = None
                 return self.model
-        
         ## post state to fit panel
-        self.state.parameters =[]
-        self.state.model =self.model
+        self.state.parameters = []
+        self.state.model = self.model
         self.state.qmin = self.qmin_x
         self.state.multi_factor = self.multi_factor
-        self.disp_list =self.model.getDispParamList()
+        self.disp_list = self.model.getDispParamList()
         self.state.disp_list = self.disp_list
         self.Layout()     
@@ -1598,5 +1522,5 @@
                 qmax_ctrl.Refresh()
                 msg= "Invalid Q range: Q min must be smaller than Q max"
-                wx.PostEvent(self.parent, StatusEvent(status = msg))
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
                 return False
         return True
@@ -1611,5 +1535,5 @@
         """  
         is_modified =  modified
-        if len(list)==0:
+        if len(list) == 0:
             return is_modified
         for item in list:
@@ -1620,7 +1544,6 @@
             #try:
             name = str(item[1])
-
             try:     
-                value= float(item[2].GetValue())
+                value = float(item[2].GetValue())
                 # If the value of the parameter has changed,
                 # +update the model and set the is_modified flag
@@ -1630,6 +1553,5 @@
             except:
                 msg = "Wrong parameter value entered "
-                wx.PostEvent(self.parent, StatusEvent(status = msg))
-                
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
         return is_modified 
     
@@ -1638,26 +1560,22 @@
         respond to self.enable_disp and self.disable_disp radio box.
         The dispersity object is reset inside the model into Gaussian. 
-        When the user select yes , this method display a combo box for more selection
+        When the user select yes , this method display a combo box 
+        for more selection
         when the user selects No,the combo box disappears.
         Redraw the model with the default dispersity (Gaussian)
         
         """
-        
         self._reset_dispersity()
-    
-        if self.model ==None:
+        if self.model == None:
             self.model_disp.Hide()
             self.disp_box.Hide()
             self.sizer4_4.Clear(True)
             return
-
         if self.enable_disp.GetValue():
             self.model_disp.Show(True)
             self.disp_box.Show(True)
             ## layout for model containing no dispersity parameters
-            
-            self.disp_list= self.model.getDispParamList()
-             
-            if len(self.disp_list)==0 and len(self.disp_cb_dict)==0:
+            self.disp_list = self.model.getDispParamList()
+            if len(self.disp_list) == 0 and len(self.disp_cb_dict) == 0:
                 self._layout_sizer_noDipers()  
             else:
@@ -1669,10 +1587,9 @@
             self.disp_box.SetSelection(0) 
             self.sizer4_4.Clear(True)
-            
         ## post state to fit panel 
         self.save_current_state()
-        if event !=None:
+        if event != None:
             #self._undo.Enable(True)
-            event = PageInfoEvent(page = self)
+            event = PageInfoEvent(page=self)
             wx.PostEvent(self.parent, event)
         #draw the model with the current dispersity
@@ -1683,5 +1600,4 @@
         self.Refresh()      
           
-        
     def _layout_sizer_noDipers(self):
         """
@@ -1689,20 +1605,19 @@
         
         """
-        ix=0
-        iy=1
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
-        
+        ix = 0
+        iy = 1
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
         self.model_disp.Hide()
         self.disp_box.Hide()
         self.sizer4_4.Clear(True)
         model_disp = wx.StaticText(self, -1, 'No PolyDispersity for this model')
-        self.sizer4_4.Add(model_disp,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        self.sizer4_4.Add(model_disp,(iy, ix), (1,1), 
+                          wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         self.sizer4_4.Layout()
         self.sizer4.Layout()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
       
-            
     def _reset_dispersity(self):
         """
@@ -1710,39 +1625,35 @@
          
         """
-        if len(self.param_toFit)>0:
+        if len(self.param_toFit) > 0:
             for item in self.fittable_param:
                 if item in self.param_toFit:
                     self.param_toFit.remove(item)
-
             for item in self.orientation_params_disp:
                 if item in self.param_toFit:
                     self.param_toFit.remove(item)
-         
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
-        self.values=[]
-        self.weights=[]
-      
-        from sans.models.dispersion_models import GaussianDispersion, ArrayDispersion
-        if len(self.disp_cb_dict)==0:
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
+        self.values = []
+        self.weights = []
+        from sans.models.dispersion_models import GaussianDispersion
+        from sans.models.dispersion_models import ArrayDispersion
+        if len(self.disp_cb_dict) == 0:
             self.save_current_state()
             self.sizer4_4.Clear(True)
             self.Layout()
- 
             return 
-        if (len(self.disp_cb_dict)>0) :
+        if (len(self.disp_cb_dict) > 0) :
             for p in self.disp_cb_dict:
-                # The parameter was un-selected. Go back to Gaussian model (with 0 pts)                    
+                # The parameter was un-selected.
+                # Go back to Gaussian model (with 0 pts)                    
                 disp_model = GaussianDispersion()
-               
                 self._disp_obj_dict[p] = disp_model
-                # Set the new model as the dispersion object for the selected parameter
+                # Set the new model as the dispersion object 
+                # for the selected parameter
                 try:
                    self.model.set_dispersion(p, disp_model)
                 except:
-
                     pass
-
         ## save state into
         self.save_current_state()
@@ -1750,6 +1661,5 @@
         self.Refresh()
                   
-            
-    def _on_select_Disp(self,event):
+    def _on_select_Disp(self, event):
         """
         allow selecting different dispersion
@@ -1759,30 +1669,25 @@
         n = self.disp_box.GetCurrentSelection()
         name = self.disp_box.GetValue()
-        dispersity= self.disp_box.GetClientData(n)
+        dispersity = self.disp_box.GetClientData(n)
         self.disp_name = name
-        
         if name.lower() == "array":
             self._set_sizer_arraydispersion()
         else:
-            self._set_sizer_dispersion(dispersity= dispersity)
-            
-        self.state.disp_box= n
+            self._set_sizer_dispersion(dispersity=dispersity)
+        self.state.disp_box = n
         ## Redraw the model
         self._draw_model() 
         #self._undo.Enable(True)
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
-        
         self.sizer4_4.Layout()
         self.sizer4.Layout()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         
     def _set_sizer_arraydispersion(self):
         """
         draw sizer with array dispersity  parameters
-        
-        """
-        
-        if len(self.param_toFit)>0:
+        """
+        if len(self.param_toFit) > 0:
             for item in self.fittable_param:
                 if item in self.param_toFit:
@@ -1794,71 +1699,71 @@
             if item in self.model.fixed:
                 del self.model.details [item]                           
-
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
         self.sizer4_4.Clear(True) 
         self._reset_dispersity()
-        ix=0
-        iy=1     
+        ix = 0
+        iy = 1     
         disp1 = wx.StaticText(self, -1, 'Array Dispersion')
-        self.sizer4_4.Add(disp1,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        
-        # Look for model parameters to which we can apply an ArrayDispersion model
+        self.sizer4_4.Add(disp1, (iy, ix), (1, 1),  
+                          wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        # Look for model parameters to which we can apply 
+        # an ArrayDispersion model
         # Add a check box for each parameter.
         self.disp_cb_dict = {}
         ix+=1 
-        self.noDisper_rbox = wx.RadioButton(self, -1,"None", (10, 10),style= wx.RB_GROUP)
-        self.Bind(wx.EVT_RADIOBUTTON,self.select_disp_angle , id=self.noDisper_rbox.GetId())
+        self.noDisper_rbox = wx.RadioButton(self, -1, "None", 
+                                            (10, 10), style=wx.RB_GROUP)
+        self.Bind(wx.EVT_RADIOBUTTON, self.select_disp_angle, 
+                  id=self.noDisper_rbox.GetId())
         #MAC needs SetValue
         self.noDisper_rbox.SetValue(True)
         self.sizer4_4.Add(self.noDisper_rbox, (iy, ix),
-                           (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        
+                           (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         for p in self.model.dispersion.keys():
             if not p in self.model.orientation_params:
-                ix+=1 
+                ix += 1 
                 self.disp_cb_dict[p] = wx.RadioButton(self, -1, p, (10, 10))
-                self.state.disp_cb_dict[p]=  self.disp_cb_dict[p].GetValue()
-                self.Bind(wx.EVT_RADIOBUTTON, self.select_disp_angle, id=self.disp_cb_dict[p].GetId())
-                self.sizer4_4.Add(self.disp_cb_dict[p], (iy, ix), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        
+                self.state.disp_cb_dict[p] = self.disp_cb_dict[p].GetValue()
+                self.Bind(wx.EVT_RADIOBUTTON, self.select_disp_angle, 
+                          id=self.disp_cb_dict[p].GetId())
+                self.sizer4_4.Add(self.disp_cb_dict[p], (iy, ix), (1,1), 
+                                  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         for p in self.model.dispersion.keys():
             if p in self.model.orientation_params:
-                ix+=1 
+                ix += 1 
                 self.disp_cb_dict[p] = wx.RadioButton(self, -1, p, (10, 10))
-                self.state.disp_cb_dict[p]=  self.disp_cb_dict[p].GetValue()
-                if not (self.enable2D or self.data.__class__.__name__ =="Data2D"):
+                self.state.disp_cb_dict[p] = self.disp_cb_dict[p].GetValue()
+                if not (self.enable2D or \
+                        self.data.__class__.__name__ == "Data2D"):
                     self.disp_cb_dict[p].Hide()
                 else:
                     self.disp_cb_dict[p].Show(True)
-                self.Bind(wx.EVT_RADIOBUTTON, self.select_disp_angle, id=self.disp_cb_dict[p].GetId())
-                self.sizer4_4.Add(self.disp_cb_dict[p], (iy, ix), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-
-
-        ix =0
-        iy +=1 
-        self.sizer4_4.Add((20,20),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)        
+                self.Bind(wx.EVT_RADIOBUTTON, self.select_disp_angle, 
+                          id=self.disp_cb_dict[p].GetId())
+                self.sizer4_4.Add(self.disp_cb_dict[p], (iy, ix), (1,1),
+                                   wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        ix = 0
+        iy += 1 
+        self.sizer4_4.Add((20, 20), (iy, ix), (1, 1), 
+                          wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)        
         self.Layout()
-
-        self.state.orientation_params =[]
-        self.state.orientation_params_disp =[]
-        self.state.parameters =[]
-        self.state.fittable_param =[]
-        self.state.fixed_param =[]
-        
+        self.state.orientation_params = []
+        self.state.orientation_params_disp = []
+        self.state.parameters = []
+        self.state.fittable_param = []
+        self.state.fixed_param = []
         ## save checkbutton state and txtcrtl values
         self._copy_parameters_state(self.orientation_params,
                                      self.state.orientation_params)
-
         self._copy_parameters_state(self.orientation_params_disp,
                                      self.state.orientation_params_disp)
-        
         self._copy_parameters_state(self.parameters, self.state.parameters)
-        self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
+        self._copy_parameters_state(self.fittable_param, 
+                                    self.state.fittable_param)
         self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
-    
         ## post state to fit panel
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
         
@@ -1871,5 +1776,5 @@
         #--------------------------------------------------------------
         if box_sizer == None:
-            box_description= wx.StaticBox(self, -1,str(title))
+            box_description= wx.StaticBox(self, -1, str(title))
             boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         else:
@@ -1877,44 +1782,40 @@
             boxsizer1 = box_sizer
 
-        self.qmin    = self.ModelTextCtrl(self, -1,size=(_BOX_WIDTH,20),style=wx.TE_PROCESS_ENTER,
-                                            kill_focus_callback = self._onQrangeEnter,
-                                            text_enter_callback = self._onQrangeEnter)
+        self.qmin = self.ModelTextCtrl(self, -1,size=(_BOX_WIDTH, 20),
+                                       style=wx. TE_PROCESS_ENTER,
+                                    kill_focus_callback=self._onQrangeEnter,
+                                    text_enter_callback=self._onQrangeEnter)
         self.qmin.SetValue(str(self.qmin_x))
         self.qmin.SetToolTipString("Minimun value of Q in linear scale.")
      
-        self.qmax    = self.ModelTextCtrl(self, -1,size=(_BOX_WIDTH,20),style=wx.TE_PROCESS_ENTER,
-                                            kill_focus_callback = self._onQrangeEnter,
-                                            text_enter_callback = self._onQrangeEnter)
+        self.qmax = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+                                       style=wx.TE_PROCESS_ENTER,
+                                    kill_focus_callback=self._onQrangeEnter,
+                                    text_enter_callback=self._onQrangeEnter)
         self.qmax.SetValue(str(self.qmax_x))
         self.qmax.SetToolTipString("Maximum value of Q in linear scale.")
-        
         id = wx.NewId()
-        self.reset_qrange =wx.Button(self,id,'Reset',size=(70,23))
-      
-        self.reset_qrange.Bind(wx.EVT_BUTTON, self.on_reset_clicked,id=id)
+        self.reset_qrange = wx.Button(self, id, 'Reset', size=(70, 23))
+        self.reset_qrange.Bind(wx.EVT_BUTTON, self.on_reset_clicked, id=id)
         self.reset_qrange.SetToolTipString("Reset Q range to the default values")
-     
-        sizer_horizontal=wx.BoxSizer(wx.HORIZONTAL)
-        sizer= wx.GridSizer(3, 3,2, 5)
-        
+        sizer_horizontal = wx.BoxSizer(wx.HORIZONTAL)
+        sizer = wx.GridSizer(3, 3, 2, 5)
         sizer.Add(wx.StaticText(self, -1, '    Q range'))     
         sizer.Add(wx.StaticText(self, -1, ' Min'))
         sizer.Add(wx.StaticText(self, -1, ' Max'))
         sizer.Add(self.reset_qrange)   
-             
         sizer.Add(self.qmin)
         sizer.Add(self.qmax)
         sizer_horizontal.Add(sizer)
-        if object!=None:
+        if object != None:
             sizer_horizontal.Add(object)
-        
-        if object1!=None:
+        if object1 != None:
            boxsizer1.Add(object1) 
-           boxsizer1.Add((10,10))
+           boxsizer1.Add((10, 10))
         boxsizer1.Add(sizer_horizontal)
         ## save state
         self.save_current_state()
         #----------------------------------------------------------------
-        self.sizer5.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        self.sizer5.Add(boxsizer1, 0, wx.EXPAND|wx.ALL, 10)
         self.sizer5.Layout()
 
@@ -1926,7 +1827,6 @@
         # Skipping save state functionality for release 0.9.0
         return
-    
         self.sizer6.Clear(True)
-        box_description= wx.StaticBox(self, -1,"Save Model")
+        box_description= wx.StaticBox(self, -1, "Save Model")
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
         sizer_save = wx.BoxSizer(wx.HORIZONTAL)
@@ -1934,16 +1834,13 @@
         self.btSave_title = wx.StaticText(self, -1, 'Save the current Model')
         self.btSave = wx.Button(self,wx.NewId(),'Save')
-        self.btSave.Bind(wx.EVT_BUTTON, self.onSave,id= self.btSave.GetId())
+        self.btSave.Bind(wx.EVT_BUTTON, self.onSave,id=self.btSave.GetId())
         self.btSave.SetToolTipString("Save the current Model")
-        
         sizer_save.Add(self.btSave_title)  
-        sizer_save.Add((20,20),0, wx.LEFT|wx.RIGHT|wx.EXPAND,45)  
-             
+        sizer_save.Add((20, 20), 0, wx.LEFT|wx.RIGHT|wx.EXPAND, 45)  
         sizer_save.Add(self.btSave)     
-        
         boxsizer1.Add(sizer_save)
-        self.sizer6.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        self.sizer6.Add(boxsizer1, 0, wx.EXPAND|wx.ALL, 10)
         self.sizer6.Layout()
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         
     def _lay_out(self):
@@ -1971,5 +1868,5 @@
             time.sleep(1)
              
-    def on_reset_clicked(self,event):
+    def on_reset_clicked(self, event):
         """
         On 'Reset' button  for Q range clicked
@@ -1978,9 +1875,9 @@
         ##For 3 different cases: Data2D, Data1D, and theory
         if self.data.__class__.__name__ == "Data2D":
-            data_min= 0
-            x= max(math.fabs(self.data.xmin), math.fabs(self.data.xmax)) 
-            y= max(math.fabs(self.data.ymin), math.fabs(self.data.ymax))
+            data_min = 0
+            x = max(math.fabs(self.data.xmin), math.fabs(self.data.xmax)) 
+            y = max(math.fabs(self.data.ymin), math.fabs(self.data.ymax))
             self.qmin_x = data_min
-            self.qmax_x = math.sqrt(x*x + y*y)
+            self.qmax_x = math.sqrt(x * x + y * y)
         elif self.data.__class__.__name__ == "Data1D":
             self.qmin_x = min(self.data.x)
@@ -1991,8 +1888,6 @@
             self.num_points = _NPTS_DEFAULT            
             self.state.npts = self.num_points
-            
         self.state.qmin = self.qmin_x
         self.state.qmax = self.qmax_x
-        
         #reset the q range values
         self._reset_plotting_range(self.state)
Index: theoryview/perspectives/theory/help_panel.py
===================================================================
--- theoryview/perspectives/theory/help_panel.py	(revision 74755ffa1ce766f8db2e7443abc981f716782e5c)
+++ theoryview/perspectives/theory/help_panel.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -7,5 +7,5 @@
 
 class HelpWindow(wx.Frame):
-    def __init__(self, parent, id, title= 'HelpWindow', pageToOpen=None):
+    def __init__(self, parent, id, title='HelpWindow', pageToOpen=None):
         wx.Frame.__init__(self, parent, id, title, size=(850, 500))
         """
@@ -16,5 +16,5 @@
         splitter = MultiSplitterWindow(self, style=wx.SP_LIVE_UPDATE)
         rpanel = wx.Panel(splitter, -1)
-        lpanel = wx.Panel(splitter, -1,style=wx.BORDER_SUNKEN)
+        lpanel = wx.Panel(splitter, -1, style=wx.BORDER_SUNKEN)
         
         vbox = wx.BoxSizer(wx.VERTICAL)
@@ -27,5 +27,5 @@
         font.SetPointSize(10)
         st.SetFont(font)
-        hbox.Add(st, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
+        hbox.Add(st, 1, wx.TOP|wx.BOTTOM|wx.LEFT, 5)
         header.SetSizer(hbox)
         vbox.Add(header, 0, wx.EXPAND)
@@ -41,15 +41,16 @@
         fontl.SetPointSize(10)
         lst.SetFont(fontl)
-        hboxl.Add(lst, 1, wx.TOP | wx.BOTTOM | wx.LEFT, 5)
+        hboxl.Add(lst, 1, wx.TOP|wx.BOTTOM|wx.LEFT, 5)
         headerl.SetSizer(hboxl)
         vboxl.Add(headerl, 0, wx.EXPAND)
         self.lhelp = html.HtmlWindow(lpanel, -1, style=wx.NO_BORDER)
-        self.rhelp = html.HtmlWindow(rpanel, -1, style=wx.NO_BORDER, size=(500,-1))
-        page1="""<html>
+        self.rhelp = html.HtmlWindow(rpanel, -1, 
+                                     style=wx.NO_BORDER, size=(500, -1))
+        page1 = """<html>
             <body>
              <p>Select topic on Menu</p>
             </body>
             </html>"""
-        page="""<html>
+        page = """<html>
             <body>
             <ul>
@@ -60,22 +61,18 @@
         self.rhelp.SetPage(page1)
         self.lhelp.SetPage(page)
-        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED,self.OnLinkClicked )
-        
+        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.OnLinkClicked)
         #open the help frame a the current page
-        if  pageToOpen!= None:
-            self.rhelp.LoadPage(str( pageToOpen))
-            
-        vbox.Add(self.rhelp,1, wx.EXPAND)
+        if  pageToOpen != None:
+            self.rhelp.LoadPage(str(pageToOpen))
+        vbox.Add(self.rhelp, 1, wx.EXPAND)
         vboxl.Add(self.lhelp, 1, wx.EXPAND)
         rpanel.SetSizer(vbox)
         lpanel.SetSizer(vboxl)
         lpanel.SetFocus()
-        
         vbox1 = wx.BoxSizer(wx.HORIZONTAL)
-        vbox1.Add(splitter,1,wx.EXPAND)
+        vbox1.Add(splitter, 1, wx.EXPAND)
         splitter.AppendWindow(lpanel, 200)
         splitter.AppendWindow(rpanel)
         self.SetSizer(vbox1)
-       
         self.Centre()
         self.Show(True)
